Pipeline-Step als Nutzer aktualisieren
# Pipeline-Step als Nutzer aktualisieren
Step-Status mit Benutzer-Access-JWT ändern.
`PATCH /v1/event/{eventId}/step`
**Authentifizierung:** Benutzer-Access-JWT mit Projektzugriff.
Body, Zustandsregeln und Antworten entsprechen [Pipeline-Step aktualisieren](/api/update-step). Dieser Endpunkt verwendet `PATCH` und ein Benutzer-Access-JWT; externe Dienste verwenden `POST` mit einem API-Token.
HTTP `200` liefert das aktualisierte Event. Bei `409` den Zustand erneut lesen und den Übergang prüfen.
## Request
```bash
curl -X PATCH 'https://api.tracklytic.de/v1/event/EVENT_ID/step' \
-H "Authorization: Bearer $TRACKLYTIC_ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{
"id": "build",
"status": "running"
}'
```
```js
const response = await fetch("https://api.tracklytic.de/v1/event/EVENT_ID/step", {
method: "PATCH",
headers: {
Authorization: `Bearer ${process.env.TRACKLYTIC_ACCESS_TOKEN}`,
"Content-Type": "application/json"
},
body: JSON.stringify(
{
"id": "build",
"status": "running"
}
)
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
```
```python
import json
import os
from urllib.request import Request, urlopen
payload = {
"id": "build",
"status": "running"
}
request = Request(
"https://api.tracklytic.de/v1/event/EVENT_ID/step",
method="PATCH",
headers={
"Authorization": "Bearer " + os.environ["TRACKLYTIC_ACCESS_TOKEN"],
"Content-Type": "application/json"
},
data=json.dumps(payload).encode("utf-8")
)
with urlopen(request) as response:
result = json.load(response)
```
Step-Status mit Benutzer-Access-JWT ändern.
PATCH
/v1/event/{eventId}/stepAuthentifizierung: Benutzer-Access-JWT mit Projektzugriff.
Body, Zustandsregeln und Antworten entsprechen Pipeline-Step aktualisieren. Dieser Endpunkt verwendet PATCH und ein Benutzer-Access-JWT; externe Dienste verwenden POST mit einem API-Token.
HTTP 200 liefert das aktualisierte Event. Bei 409 den Zustand erneut lesen und den Übergang prüfen.
Request
curl -X PATCH 'https://api.tracklytic.de/v1/event/EVENT_ID/step' \
-H "Authorization: Bearer $TRACKLYTIC_ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data-raw '{
"id": "build",
"status": "running"
}'const response = await fetch("https://api.tracklytic.de/v1/event/EVENT_ID/step", {
method: "PATCH",
headers: {
Authorization: `Bearer ${process.env.TRACKLYTIC_ACCESS_TOKEN}`,
"Content-Type": "application/json"
},
body: JSON.stringify(
{
"id": "build",
"status": "running"
}
)
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();import json
import os
from urllib.request import Request, urlopen
payload = {
"id": "build",
"status": "running"
}
request = Request(
"https://api.tracklytic.de/v1/event/EVENT_ID/step",
method="PATCH",
headers={
"Authorization": "Bearer " + os.environ["TRACKLYTIC_ACCESS_TOKEN"],
"Content-Type": "application/json"
},
data=json.dumps(payload).encode("utf-8")
)
with urlopen(request) as response:
result = json.load(response)